Name:           perl-POE-Component-SNMP
Version:        1.07
Release:        3%{?dist}
Summary:        POE interface to Net::SNMP 

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/POE-Component-SNMP            
Source0: http://search.cpan.org/CPAN/authors/id/R/RD/RDB/POE-Component-SNMP-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl(POE), perl(Net::SNMP), perl(Time::HiRes)
BuildRequires:  perl(Test::More)

# not picked up due to 'use base'
Requires:  perl(Net::SNMP)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Component::SNMP is a POE-ized wrapper around the the Net::SNMP module.
Most of its arguments aren't even evaluated by POE, except for -alias and 
-callback_args, as described in the manpage.

If you want to make non-blocking calls with Net::SNMP in a POE application,
this is the module to do it with.


%prep
%setup -q -n POE-Component-SNMP-%{version}

# let's not have rpmlint complain...
chmod -x eg/*


%build
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes NOTES README TODO eg/*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-3
Rebuild for new perl

* Thu Jan 10 2008 Ralf Corsépius <rc040203@freenet.de> 1.07-2
- Update License-tag.
- BR: perl(Test::More) (BZ 419631).

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.07-1
- update to 1.07
- minor spec tweaks
- add an explicit requires on perl(Net::SNMP), as it was being skipped due to
  a 'use base' construct

* Tue Sep 12 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- update to 1.06

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-3
- bump for mass rebuild

* Thu Jul 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-2
- bump for build

* Wed Jul 26 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.05-1
- Initial spec file for F-E
